# Services

I think all of us noticed that browsing the web nowadays means going to the same websites all over again. Before you
start saying that you also *use apps on your phone*, remember that those are most likely websites as well (such as
Instagram, TikTok, YouTube). This allows corporations to create their own closed ecosystem where they can collect as
much data about you. **Why should you care?** Not only because you are the product of these companies, but also because
you **are** influenced by them to stay on their platforms for as much as possible, maximizing their profits.

To mitigate this, you should only be using free and open-source website alternatives, such as the ones listed below.

## {{< image src="/logos/searx.png" position="relative" style="height: 2.15rem; width: 2.15rem; margin-right: 15px" >}} [SearXNG](https://searx.elpengu.com)

**Metasearch engine**, based on the original SearX project. Compared to a regular search engine, SearXNG queries
multiple
search engines and compiles its results. This means you get better results while also obfuscating your queries. SearXNG
also provides **torrent search**, which makes it easier than ever to find files online.

* **Status**: running
* **Javascript required**: sometimes (for images)
* **Donation required**: no
* **License**: [AGPL-3.0](https://github.com/searxng/searxng)

## {{< image src="/logos/librex.png" position="relative" style="height: 2.15rem; width: 2.15rem; margin-right: 15px" >}} [LibreX](https://librex.elpengu.com)

**Search engine**, queries Google results. LibreX hides your search queries from Google and **does not require
javascript**. Other useful features are onion link queries and (very accurate) torrent search.

* **Status**: running
* **Javascript required**: no
* **Donation required**: no
* **License**: [AGPL-3.0](https://github.com/hnhx/librex)

## {{< image src="/logos/matrix-logo-white.svg" position="relative" style="width: 4.15rem; margin-right: 15px" >}} [Matrix Synapse](https://matrix.elpengu.com)

**Decentralised chat protocol**, acts similarly to XMPP. Matrix is the best replacement for any messenger application,
being both user-friendly and very secure. Having the best of both XMPP's and Discord ecosystem, Matrix is decentralised
while also providing neat features.

* **Status**: running
* **Javascript required**: N/A
* **Donation required**: yes [(see why)](https://elpengu.com/donate)
* **License**: [Apache-2.0](https://github.com/matrix-org/synapse)

## {{< image src="/logos/element.svg" position="relative" style="height: 2.15rem; width: 2.45rem; margin-right: 15px" >}} [Element](https://element.elpengu.com)

**Messenger application**, the most used Matrix client out there for its simplicity and similarities to Discord. It is
an electron application, which means it is not lightweight on the system and requires javascript. However, Element
provides a clean experience and has the most features out of all Matrix clients.

* **Status**: running
* **Javascript required**: yes
* **Donation required**: no
* **License**: [Apache-2.0](https://github.com/vector-im/element-web)

## {{< image src="/logos/invidious.png" position="relative" style="height: 2.15rem; width: 2.45rem; margin-right: 15px" >}} [Invidious](https://yt.elpengu.com)

**YouTube frontend**, providing a lightweight, ad-free, tracker-free platform for watching YouTube videos. You have the
ability to create a separate account from YouTube in order to protect your data and import all of your subscriptions.
Can also be used inside desktop applications such as [FreeTube](https://github.com/FreeTubeApp/FreeTube). Pulling videos
through Invidious negates all of Googles data's collection.

* **Status**: running
* **Javascript required**: no
* **Donation required**: no
* **License**: [AGPL-3.0](https://github.com/iv-org/invidious)

## {{< image src="/logos/nitter.png" position="relative" style="height: 2.15rem; width: 2.45rem; margin-right: 15px" >}} [Nitter](https://twitter.elpengu.com)

**Twitter frontend**, allows you to read twitter posts without having an account. Cannot be used to log into your
Twitter account and post. For that matter, no one should use Twitter anyways, and should just migrate
to [Mastodon](https://mastodon.social).

* **Status**: running
* **Javascript required**: no
* **Donation required**: no
* **License**: [AGPL-3.0](https://github.com/zedeus/nitter)

## {{< image src="/logos/libreddit.png" position="relative" style="height: 2.15rem; width: 2.45rem; margin-right: 15px" >}} [Libreddit](https://reddit.elpengu.com)

**Reddit frontend**, allows you to read reddit posts without having an account. Cannot be used to log into your
Reddit account and post, upvote, downvote etc. If you usually go on reddit to post and *get them updoots*, please seek
help.

* **Status**: running
* **Javascript required**: no
* **Donation required**: no
* **License**: [AGPL-3.0](https://github.com/libreddit/libreddit)

# What instances will come next?

I am planning on adding even more instances to this list, considering this project continues to grow. Some of them are:

* **Mastodon** (Fediverse's alternative to Twitter)
* **XMPP** (Similar to Matrix, decentralised chatting protocol)
* **IRC** (Centralised, anonymous chatting protocol)
* **Email** (elpengu's own email server)

To help extend this project and add more privacy-friendly frontends, please
consider [donating](https://elpengu.com/donate)!